Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.objectbase
Interface Swarm

All Known Subinterfaces:
  GUISwarm

All Known Implementing Classes:
  SwarmImpl, GUISwarmImpl

public interface Swarm
extends SwarmProcess, SwarmProcessS

A temporal container.. A Swarm is a community of agents sharing a common timescale as well as common memory pool.

Method Summary
`Activity` | `activateIn(Swarm swarmContext)` Override this to activate any actions you built in buildActions.
`java.lang.Object` | `buildActions()` Override this to let your Swarm build its actions.
`java.lang.Object` | `buildObjects()` Override this to let your Swarm create the objects that it contains.
`ProbeMap` | `getCompleteProbeMap()` Needed to support probing of Swarms.
`VarProbe` | `getProbeForVariable(java.lang.String aVariable)` Needed to support probing of Swarms.
`ProbeMap` | `getProbeMap()` Needed to support probing of Swarms.

Methods inherited from interface swarm.activity.SwarmProcess
`getActivity, getInternalZone`

Methods inherited from interface swarm.defobj.Zone
`allocIVars, allocIVarsComponent, copyIVars, copyIVarsComponent, describeForEach, describeForEachID, freeIVars, freeIVarsComponent, getComponentZone, getPageSize, getPopulation`

Methods inherited from interface swarm.activity.SynchronizationType
`getSynchronizationType`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### buildObjects

    public java.lang.Object buildObjects()

  Override this to let your Swarm create the objects that it contains.

### buildActions

    public java.lang.Object buildActions()

  Override this to let your Swarm build its actions.

### activateIn

    public Activity activateIn(Swarm swarmContext)

  Override this to activate any actions you built in buildActions. Note, you must activate yourself first before you can activate actions inside you.

### getProbeMap

    public ProbeMap getProbeMap()

  Needed to support probing of Swarms.

### getCompleteProbeMap

    public ProbeMap getCompleteProbeMap()

  Needed to support probing of Swarms.

### getProbeForVariable

    public VarProbe getProbeForVariable(java.lang.String aVariable)

  Needed to support probing of Swarms.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD